Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ant
Class JMX.Setter

    java.lang.Object
      org.jboss.ant.JMX.Setter

All Implemented Interfaces:
  JMX.Operation

Enclosing class:
  JMX

public static class JMX.Setter
extends Object
implements JMX.Operation

The class `Setter` specifies setting an attribute value on an mbean.

Constructor Summary
`JMX.Setter()`

Method Summary
`void` | `execute(javax.management.MBeanServerConnection server, org.apache.tools.ant.Task parent)`
`void` | `setAttribute(String attribute)` The `setAttribute` method specifies the attribute to be set.
`void` | `setTarget(javax.management.ObjectName target)` The `setTarget` method sets the ObjectName of the target mbean.
`void` | `setValue(JMX.Param value)` The `setValue` method specifies the value to be used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMX.Setter

    public JMX.Setter()

Method Detail

### setTarget

    public void setTarget(javax.management.ObjectName target)

  The `setTarget` method sets the ObjectName of the target mbean.

  Parameters:
    `target` - an `ObjectName` value

### setAttribute

    public void setAttribute(String attribute)

  The `setAttribute` method specifies the attribute to be set.

  Parameters:
    `attribute` - a `String` value

### setValue

    public void setValue(JMX.Param value)

  The `setValue` method specifies the value to be used. The type is used to convert the value to the correct type.

  Parameters:
    `value` - a `Param` value

### execute

    public void execute(javax.management.MBeanServerConnection server,
                        org.apache.tools.ant.Task parent)
                 throws Exception

  Specified by:
    `execute` in interface `JMX.Operation`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.